using System;
using System.Linq;

using FilterAPI.Networking;

using FilterBot.ManagerNetworking;

using FilterBot.ZoneNetworking;

namespace FilterBot.ManagerHandlers
{
    internal class Manager28Handle
    {
        [ManagerPacketHandler(28, 3)]
        public static void HandleLoadQuickBar(ManagerServer ServerSocket, Packet ServerPacket)
        {
            Program.SendConsoleText(ConsoleColor.Gray, "({0}) received quickbar.", ServerSocket.sID);

            Byte Unk00 = ServerPacket.PacketReader.ReadByte();
            ServerSocket.QuickBar = ServerPacket.PacketReader.ReadBytes(1024);

            GlobalPacket.SendSaveQuickBar(ServerSocket);
        }
    }
}
